phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Get help with installation and running phpBB 3.2.x here. Please do not post bug reports, feature requests, or extension related questions here.
User avatar
ComoEJ
Registered User
Posts: 15
Joined: Mon Oct 14, 2019 10:01 pm
Location: Los Angeles County, California
Name: E.J. Carpathia
Contact:

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by ComoEJ » Tue Oct 15, 2019 6:10 pm

warmweer,

Okay, thanks for your time.

Sincerely,
E.J.
Commodore E.J. Carpathia
Division 1 Commander, Gamma Fleet
Starfleet, United Federation of Planets

~ www.gammafleet.org ~

User avatar
warmweer
Registered User
Posts: 3165
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by warmweer » Tue Oct 15, 2019 8:05 pm

Had a quick look in my archives and found the following : which I've adapted to your settings (see Board path)

data to be entered here is the data for your 2.0 board

Code: Select all

Database server hostname or DSN: localhost   (it should be the same as in your 3.2 config.php - either localhost or a specific name)
Database server port: same  as above  (probably empty)
Database name: your phpBB2 database name
Database username: your phpBB2 database username
Database password: your phpBB2 database password
Prefix for tables in database: your phpBB2 tables prefix
Board path: ../wforum/
Refresh page to continue conversion: No
basically the only difference with previous info is the forward slash at the end of ../wforum/

Could you try that?
As mentioned before nothing can happen to your phpBB2 database.
But, since your phpBB3.2 database is supposed to be filled up with data, if that fails, the 3.2 board may be borked. So I suggest you take a database backup for quick restoral should the conversion fail.
The year is 2192. The British Prime Minister visits Brussels to ask for an extension of the Brexit deadline. No one remembers where this tradition originated, but every year it attracts many tourists from all over the world.

User avatar
ComoEJ
Registered User
Posts: 15
Joined: Mon Oct 14, 2019 10:01 pm
Location: Los Angeles County, California
Name: E.J. Carpathia
Contact:

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by ComoEJ » Tue Oct 15, 2019 8:14 pm

warmweer,

My problem now is that I'm not sure what the database's information is! :oops:

Sincerely,
E.J.
Commodore E.J. Carpathia
Division 1 Commander, Gamma Fleet
Starfleet, United Federation of Planets

~ www.gammafleet.org ~

User avatar
Brf
Support Team Member
Support Team Member
Posts: 51889
Joined: Tue May 10, 2005 7:47 pm
Location: {postrow.POSTER_FROM}
Contact:

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by Brf » Tue Oct 15, 2019 8:28 pm

warmweer wrote:
Tue Oct 15, 2019 5:03 pm
then we shouldn't have gone through the trouble to actually install 2.0. Copying the whole file structure would have sufficed (+ letting the 2.0 config.php point to the correct database).
Yes. If you have the files and the database, then it is exactly the same as being "installed".

User avatar
warmweer
Registered User
Posts: 3165
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by warmweer » Tue Oct 15, 2019 8:34 pm

ComoEJ wrote:
Tue Oct 15, 2019 8:14 pm
My problem now is that I'm not sure what the database's information is! :oops:
:shock:
ComoEJ wrote:
Tue Oct 15, 2019 5:39 pm
If I give you the information could you possibly get the conversion started for me? I don't have much luck with such things...
So where's this information gone now?
The year is 2192. The British Prime Minister visits Brussels to ask for an extension of the Brexit deadline. No one remembers where this tradition originated, but every year it attracts many tourists from all over the world.

User avatar
ComoEJ
Registered User
Posts: 15
Joined: Mon Oct 14, 2019 10:01 pm
Location: Los Angeles County, California
Name: E.J. Carpathia
Contact:

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by ComoEJ » Tue Oct 15, 2019 8:43 pm

warmweer,

What I thought was the DB information turned out was for a DB that the conversion program said did not exist. So now I'm totally confused! :cry:

Sincerely,
E.J.
Commodore E.J. Carpathia
Division 1 Commander, Gamma Fleet
Starfleet, United Federation of Planets

~ www.gammafleet.org ~

User avatar
warmweer
Registered User
Posts: 3165
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by warmweer » Tue Oct 15, 2019 8:49 pm

Brf wrote:
Tue Oct 15, 2019 8:28 pm
Yes. If you have the files and the database, then it is exactly the same as being "installed".
Agreed, that is .. in a way. the confusion arises (or as of now: arose) from a natural association of "functional" and "installed" on the same server, which is impossible (simultaneously) with 2.0 and 3.2
The year is 2192. The British Prime Minister visits Brussels to ask for an extension of the Brexit deadline. No one remembers where this tradition originated, but every year it attracts many tourists from all over the world.

User avatar
warmweer
Registered User
Posts: 3165
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Belt ... well actually Belgium

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by warmweer » Tue Oct 15, 2019 8:53 pm

ComoEJ wrote:
Tue Oct 15, 2019 8:43 pm
warmweer,

What I thought was the DB information turned out was for a DB that the conversion program said did not exist. So now I'm totally confused! :cry:

Sincerely,
E.J.
Is there a phpBB backup of the 2.0 database, of do you have phpMyAdmin access to that database. If either answer is yes, then the necessary data can be found, or a new copy of the database could be installed.
If you can't get that data then the problem isn't a conversion problem but an access problem.
The year is 2192. The British Prime Minister visits Brussels to ask for an extension of the Brexit deadline. No one remembers where this tradition originated, but every year it attracts many tourists from all over the world.

User avatar
ComoEJ
Registered User
Posts: 15
Joined: Mon Oct 14, 2019 10:01 pm
Location: Los Angeles County, California
Name: E.J. Carpathia
Contact:

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by ComoEJ » Tue Oct 15, 2019 9:04 pm

warmweer,

I'm looking for the phpMyAdmin now on my CP at Webmasters.com.

Sincerely,
E.J.
Commodore E.J. Carpathia
Division 1 Commander, Gamma Fleet
Starfleet, United Federation of Planets

~ www.gammafleet.org ~

User avatar
ComoEJ
Registered User
Posts: 15
Joined: Mon Oct 14, 2019 10:01 pm
Location: Los Angeles County, California
Name: E.J. Carpathia
Contact:

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by ComoEJ » Tue Oct 15, 2019 9:29 pm

warmweer,

There doesn't appear to be a phpMyAdmin icon in my CP at the 4admin Hosting Control Panel at Webmasters.com!

Sincerely,
E.J.
Commodore E.J. Carpathia
Division 1 Commander, Gamma Fleet
Starfleet, United Federation of Planets

~ www.gammafleet.org ~

User avatar
janus_zonstraal
Registered User
Posts: 3788
Joined: Sat Aug 30, 2014 1:30 pm

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by janus_zonstraal » Tue Oct 15, 2019 9:47 pm

Strange, Webmasters tells the are using it
MYSQL

We are currently running MySQL version 5.0.51 with InnoDB functionality. Our exclusive, customized version of phpMyAdmin includes the ability to instantly restore tables and databases from backup, perform SQL file inserts, advanced SQL queries, and much more. Accounts with Database Access can create and manage up to 300 databases with unique logins. All databases have direct access from remote hosts, and support most remote admin programs such as MySQLFront.
Sorry! My English is bat ;) !!!

User avatar
ComoEJ
Registered User
Posts: 15
Joined: Mon Oct 14, 2019 10:01 pm
Location: Los Angeles County, California
Name: E.J. Carpathia
Contact:

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by ComoEJ » Tue Oct 15, 2019 9:59 pm

Janus,

I'm sorry, I cannot seem to find it. :(

Sincerely,
E.J.
Commodore E.J. Carpathia
Division 1 Commander, Gamma Fleet
Starfleet, United Federation of Planets

~ www.gammafleet.org ~

User avatar
3Di
Former Team Member
Posts: 14464
Joined: Mon Apr 04, 2005 11:09 pm
Location: Milan (IT) Frankfurt (DE)
Name: Marco
Contact:

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by 3Di » Wed Oct 16, 2019 8:11 am

ComoEJ wrote:
Tue Oct 15, 2019 9:59 pm
I'm sorry, I cannot seem to find it. :(
https://210.webmasters.com/mysql/
Please PM me only to request paid works. Thx.
Want to compensate me for my interest? Donate
My development's activity º PhpStorm's proud user
Extensions, Scripts, MOD porting, Update/Upgrades
✒️ Black Friday 2019 @ The Studio ▪️◾️

User avatar
KevC
Support Team Member
Support Team Member
Posts: 69453
Joined: Fri Jun 04, 2004 10:44 am
Location: Oxford, UK
Contact:

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by KevC » Wed Oct 16, 2019 12:03 pm

It might be worth explaining how you got to this position.

Presumably you had a 2x board hosted with a company.
What changed to make that stop working? Has anything been deleted from the server relating to that?

It would be highly unusual not to have a database manager on the server.
It's not usually up to the customer to install things like MySQL and phpmyadmin. A screenshot of the CP might help (just blank out anything you might think is sensitive information).
-:|:- Support Request Template -:|:-
Image
Cheap UK Hosting
"In the land of the blind the little green bloke with no pupils is king - init!"

User avatar
ComoEJ
Registered User
Posts: 15
Joined: Mon Oct 14, 2019 10:01 pm
Location: Los Angeles County, California
Name: E.J. Carpathia
Contact:

Re: phpBB 2.0.23 to phpBB 3.2.8 conversion problem

Post by ComoEJ » Wed Oct 16, 2019 6:03 pm

Greetings,

As you may know, I've been using Webmasters.com for my server needs. My phpBB 2.0.23 was on PHP 4.4 and worked fine. Then we upgraded to PHP 7 and when that happened phpBB 2.0.23 stopped working. I installed phpBB 3.2.8 in hopes of converting the data from php 2.0.23 over to the new version but that has yet to happen. That's the story in a nutshell... ;)

I did get my phpBB 2.0.23 up and running on another server that is still running PHP 4.4! So 14 years of posts are not lost. Does anyone remember how to stop the spambots from registering on the forum? Somebody long ago added a mod to where only an Administrator could ADD an account. I'm hoping that I can set that up again as these spambot registrations are quite annoying. :)

Sincerely,
E.J.
Commodore E.J. Carpathia
Division 1 Commander, Gamma Fleet
Starfleet, United Federation of Planets

~ www.gammafleet.org ~

Post Reply

Return to “[3.2.x] Support Forum”